[cp-patches] Re: Still Problem with GNU-Classpath 0.96.1 on StrongARM

Robert Lougher rob.lougher at gmail.com
Wed Oct 24 11:01:02 UTC 2007


On 10/24/07, Robert Lougher <rob.lougher at gmail.com> wrote:
> Hi,
>
> On 10/23/07, Robert Schuster <theBohemian at gmx.net> wrote:
> > Hi,
> >
> > Robert Lougher schrieb:
> > > Hi Vladimir,
> > >
> > > On 10/23/07, Vladimir Nikolov <vladimir.nikolov at gmx.net> wrote:
> > >> Hi,
> > >>
> > >> I have still problems to compile the GNU-Classpath 0.96.1 on the
> > >> StrongARM machine.
> > >> Once again, I would like to use it together with the JamVM 1.4.5, since
> > >> both support now Java Annotations and Generics.
> > >>
> > If I understand this[0] page right EABI is not supported on StrongARM
> > CPUs ... at least not with custom GCC patches.
> >
>
> Yes, ARMv4 doesn't have the bx instruction.  However, I I didn't know
> it required a gcc patch.  Interestingly, the patch is at odds with the
> ARM APCS, which recommends bx instructions be subject to a relocation
> directive, and be replaced at link time.
>
> Rob.
>

On re-reading my reply I think I need to clarify.  The ARM APCS has
provisions for ARMv4, including StrongARM.  If ifs recommendations are
followed, it is compatble with the standard.

Rob.

ARM APCS: http://www.arm.com/pdfs/aapcs.pdf

> > Regards
> > Robert
> >
> > [0] - http://wiki.debian.org/ArmEabiPort
> >
>



More information about the Classpath-patches mailing list